LinuxQMISDK: GnssData Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
GnssData Struct Reference

## Data Fields
ULONGLONG | mask

## Detailed Description

This structure contains the GNSS data

Parameters

  mask | Mask for the GNSS data that is to be deleted Valid values: QMI_LOC_MASK_DELETE_GPS_SVDIR (0x00000001) - Mask to delete GPS SVDIR QMI_LOC_MASK_DELETE_GPS_SVSTEER (0x00000002) - Mask to delete GPS SVSTEER QMI_LOC_MASK_DELETE_GPS_TIME (0x00000004) - Mask to delete GPS time QMI_LOC_MASK_DELETE_GPS_ALM_CORR (0x00000008) - Mask to delete almanac correlation QMI_LOC_MASK_DELETE_GLO_SVDIR (0x00000010) - Mask to delete GLONASS SVDIR QMI_LOC_MASK_DELETE_GLO_SVSTEER (0x00000020) - Mask to delete GLONASS SVSTEER QMI_LOC_MASK_DELETE_GLO_TIME (0x00000040) - Mask to delete GLONASS time QMI_LOC_MASK_DELETE_GLO_ALM_CORR (0x00000080) - Mask to delete GLONASS almanac correlation QMI_LOC_MASK_DELETE_SBAS_SVDIR (0x00000100) - Mask to delete SBAS SVDIR QMI_LOC_MASK_DELETE_SBAS_SVSTEER (0x00000200) - Mask to delete SBAS SVSTEER QMI_LOC_MASK_DELETE_POSITION (0x00000400) - Mask to delete position estimate QMI_LOC_MASK_DELETE_TIME (0x00000800) - Mask to delete time estimate QMI_LOC_MASK_DELETE_IONO (0x00001000) - Mask to delete IONO QMI_LOC_MASK_DELETE_UTC (0x00002000) - Mask to delete UTC estimate QMI_LOC_MASK_DELETE_HEALTH (0x00004000) - Mask to delete SV health record QMI_LOC_MASK_DELETE_SADATA (0x00008000) - Mask to delete SADATA QMI_LOC_MASK_DELETE_RTI (0x00010000) - Mask to delete RTI QMI_LOC_MASK_DELETE_SV_NO_EXIST (0x00020000) - Mask to delete SV_NO_EXIST QMI_LOC_MASK_DELETE_FREQ_BIAS_EST (0x00040000) - Mask to delete frequency bias estimate QMI_LOC_MASK_DELETE_BDS_SVDIR (0x00080000) - Mask to delete BDS SVDIR QMI_LOC_MASK_DELETE_BDS_SVSTEER (0x00100000) - Mask to delete BDS SVSTEER QMI_LOC_MASK_DELETE_BDS_TIME (0x00200000) - Mask to delete BDS time QMI_LOC_MASK_DELETE_BDS_ALM_CORR (0x00400000) - Mask to delete BDS almanac correlation QMI_LOC_MASK_DELETE_GNSS_SV_BLACKLIST_GPS (0x00800000) - Mask to delete GNSS SV blacklist GPS QMI_LOC_MASK_DELETE_GNSS_SV_BLACKLIST_GLO (0x01000000) - Mask to delete GNSS SV blacklist GLO QMI_LOC_MASK_DELETE_GNSS_SV_BLACKLIST_BDS (0x02000000) - Mask to delete GNSS SV blacklist BDS

## Field Documentation

ULONGLONG GnssData::mask